FROM debian:11
MAINTAINER AJ Bowen <aj@soulshake.net>

RUN apt-get update && apt-get install -y \
    bsdmainutils \
    ca-certificates \
    curl \
    groff \
    jq \
    less \
    man \
    pssh \
    python3 \
    python3-docutils \
    python3-pip \
    ssh \
    wkhtmltopdf \
    xvfb \
    fping \
    --no-install-recommends \
    && rm -rf /var/lib/apt/lists/*

RUN pip3 install \
    awscli \
    jinja2 \
    pdfkit \
    PyYAML \
    yq \
    termcolor

RUN mv $(which wkhtmltopdf) $(which wkhtmltopdf).real
COPY lib/wkhtmltopdf /usr/local/bin/wkhtmltopdf
